Bug 1577523 - [abrt] disper: XQueryExtension(): python2.7 killed by SIGSEGV
Summary: [abrt] disper: XQueryExtension(): python2.7 killed by SIGSEGV
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: disper (Show other bugs)
(Show other bugs)
Version: 28
Hardware: x86_64 Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mario Santagiuliana
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:dc47017fc788d1eaf2b0c8b71ef...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-12 18:12 UTC by Moritz Kammerer
Modified: 2018-11-10 03:29 UTC (History)
1 user (show)

Fixed In Version: disper-0.3.1-14.fc27 disper-0.3.1-14.fc29 disper-0.3.1-14.fc28
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-11-10 02:27:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (101.12 KB, text/plain)
2018-05-12 18:12 UTC, Moritz Kammerer
no flags Details
File: cgroup (331 bytes, text/plain)
2018-05-12 18:12 UTC, Moritz Kammerer
no flags Details
File: core_backtrace (15.34 KB, text/plain)
2018-05-12 18:12 UTC, Moritz Kammerer
no flags Details
File: cpuinfo (1.64 KB, text/plain)
2018-05-12 18:12 UTC, Moritz Kammerer
no flags Details
File: dso_list (3.29 KB, text/plain)
2018-05-12 18:12 UTC, Moritz Kammerer
no flags Details
File: environ (3.13 KB, text/plain)
2018-05-12 18:12 UTC, Moritz Kammerer
no flags Details
File: exploitable (100 bytes, text/plain)
2018-05-12 18:12 UTC, Moritz Kammerer
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-12 18:12 UTC, Moritz Kammerer
no flags Details
File: maps (15.34 KB, text/plain)
2018-05-12 18:12 UTC, Moritz Kammerer
no flags Details
File: mountinfo (3.44 KB, text/plain)
2018-05-12 18:12 UTC, Moritz Kammerer
no flags Details
File: open_fds (434 bytes, text/plain)
2018-05-12 18:12 UTC, Moritz Kammerer
no flags Details
File: proc_pid_status (1.25 KB, text/plain)
2018-05-12 18:12 UTC, Moritz Kammerer
no flags Details

Description Moritz Kammerer 2018-05-12 18:12:38 UTC
Description of problem:
Run disper -l

Version-Release number of selected component:
disper-0.3.1-10.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/python2 /bin/disper -l
crash_function: XQueryExtension
executable:     /usr/bin/python2.7
journald_cursor: s=41c5c611f27d41e7b3b94fbe56ea93e8;i=2237f;b=490f51403fa44e8988391161993a195e;m=bd66e44;t=56c06238988cc;x=e3da7bbd549a1af9
kernel:         4.16.6-302.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 XQueryExtension at QuExt.c:43
 #1 XInitExtension at InitExt.c:47
 #2 XextAddDisplay at extutil.c:110
 #3 XRRFindDisplay at Xrandr.c:295
 #4 XRRQueryVersion at Xrandr.c:373
 #5 ffi_call_unix64 at ../src/x86/unix64.S:76
 #6 ffi_call at ../src/x86/ffi64.c:525
 #7 _call_function_pointer at /usr/src/debug/python2-2.7.14-15.fc28.x86_64/Modules/_ctypes/callproc.c:841
 #8 _ctypes_callproc at /usr/src/debug/python2-2.7.14-15.fc28.x86_64/Modules/_ctypes/callproc.c:1184
 #9 PyCFuncPtr_call at /usr/src/debug/python2-2.7.14-15.fc28.x86_64/Modules/_ctypes/_ctypes.c:3979

Potential duplicate: bug 1540683

Comment 1 Moritz Kammerer 2018-05-12 18:12:44 UTC
Created attachment 1435474 [details]
File: backtrace

Comment 2 Moritz Kammerer 2018-05-12 18:12:45 UTC
Created attachment 1435475 [details]
File: cgroup

Comment 3 Moritz Kammerer 2018-05-12 18:12:47 UTC
Created attachment 1435476 [details]
File: core_backtrace

Comment 4 Moritz Kammerer 2018-05-12 18:12:48 UTC
Created attachment 1435477 [details]
File: cpuinfo

Comment 5 Moritz Kammerer 2018-05-12 18:12:50 UTC
Created attachment 1435478 [details]
File: dso_list

Comment 6 Moritz Kammerer 2018-05-12 18:12:51 UTC
Created attachment 1435479 [details]
File: environ

Comment 7 Moritz Kammerer 2018-05-12 18:12:53 UTC
Created attachment 1435480 [details]
File: exploitable

Comment 8 Moritz Kammerer 2018-05-12 18:12:54 UTC
Created attachment 1435481 [details]
File: limits

Comment 9 Moritz Kammerer 2018-05-12 18:12:56 UTC
Created attachment 1435482 [details]
File: maps

Comment 10 Moritz Kammerer 2018-05-12 18:12:57 UTC
Created attachment 1435483 [details]
File: mountinfo

Comment 11 Moritz Kammerer 2018-05-12 18:12:58 UTC
Created attachment 1435484 [details]
File: open_fds

Comment 12 Moritz Kammerer 2018-05-12 18:12:59 UTC
Created attachment 1435485 [details]
File: proc_pid_status

Comment 13 Fedora Update System 2018-10-28 00:35:51 UTC
disper-0.3.1-14.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9d201b79e8

Comment 14 Fedora Update System 2018-10-28 00:36:07 UTC
disper-0.3.1-14.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-79a660c9e5

Comment 15 Fedora Update System 2018-10-28 00:36:21 UTC
disper-0.3.1-14.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-67d604cabb

Comment 16 Fedora Update System 2018-10-28 18:47:12 UTC
disper-0.3.1-14.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-79a660c9e5

Comment 17 Fedora Update System 2018-10-28 18:54:58 UTC
disper-0.3.1-14.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-67d604cabb

Comment 18 Fedora Update System 2018-10-31 18:50:37 UTC
disper-0.3.1-14.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9d201b79e8

Comment 19 Fedora Update System 2018-11-10 02:27:32 UTC
disper-0.3.1-14.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2018-11-10 03:17:37 UTC
disper-0.3.1-14.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2018-11-10 03:29:05 UTC
disper-0.3.1-14.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.